Suivre

Dites les linuxiens, je n'arrive plus Ă  trouver les commandes pour :
- bloquer la mise Ă  jour d'un paquet (genre je mets tout Ă  jour sauf le paquet en question)
- installer un paquet dans une certaine version

Je suis sur un systĂšme Ubuntu 20.04. Merci !

· · Fedilab · 1 · 0 · 1

@Bristow_69 Pour "bloquer" un package sur sa version courante :

`apt-mark hold monpackage`

(unhold pour débloquer, showhold pour lister)

Pour installer une version spécifique :

`apt-get install monpackage=version`

Sous réserve que la version en question soit disponible sur les dépÎts (vérifiable avec `apt-cache policy monpackage`), et qu'elle soit supérieure ou égale à la version déjà installée (ie pour downgrade il faudra désinstaller la version existante préalablement).

@lertsenem

Merci beaucoup, c'est parfait !! Je me note cela dans mon Joplin 😋

Inscrivez-vous pour prendre part Ă  la conversation
Framapiaf

Le réseau social de l'avenir : Pas d'annonces, pas de surveillance institutionnelle, conception éthique et décentralisation ! Possédez vos données avec Mastodon !